package com.ho.filecenter.service;

import com.ho.common.tools.entity.WeatherRespVo;

/**
 * @author gyan
 * @desc: TODO
 * @DateTime: 2022/11/15 8:45
 */
public interface WeatherService {

    WeatherRespVo getWeather(String ipAddr) ;

    //根据经纬度查询天气
    WeatherRespVo getWeatherFromAddr(Integer stationId , String addr) ;

    //根据经纬度查天气对象
    WeatherRespVo getWeatherFromApi(String lat, String lon);

}
